XLogger.Level (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.slf4j.ext
Enum XLogger.Level

    java.lang.Object
      java.lang.Enum<XLogger.Level>
          org.slf4j.ext.XLogger.Level

All Implemented Interfaces:
  Serializable, Comparable<XLogger.Level>

Enclosing class:
  XLogger

    public static enum XLogger.Level

extends Enum<XLogger.Level>

Enum Constant Summary
`DEBUG`
`ERROR`
`INFO`
`TRACE`
`WARN`

Method Summary
`int` | `intValue()`
`String` | `toString()`
`static XLogger.Level` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XLogger.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRACE

    public static final XLogger.Level TRACE

### DEBUG

    public static final XLogger.Level DEBUG

### INFO

    public static final XLogger.Level INFO

### WARN

    public static final XLogger.Level WARN

### ERROR

    public static final XLogger.Level ERROR

Method Detail

### values

    public static XLogger.Level[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XLogger.Level c : XLogger.Level.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XLogger.Level valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<XLogger.Level>`

### intValue

    public int intValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.